Universal Links

RSS for tag

Allow your users to intelligently follow links to content in your app or to your website using universal links.

Posts under Universal Links tag

200 Posts

Post

Replies

Boosts

Views

Activity

Universal link issue
We are encountering an issue with the universal link functionality in our app, which was previously working as expected but has now stopped functioning We have followed all the steps to configure universal links and ensured the necessary settings are in place. The associated domains are enabled within our app's capabilities, with the following domains listed: We have also verified the apple-app-site-association files for both servers, which are accessible via the following URLs: https://app.digiboxx.com/apple-app-site-association These files appear to be correctly formatted according to Apple's guidelines. However, despite this, links such as https://app.digiboxx.com/share/123456 are no longer redirecting to the app. This is a significant issue for our customers, and we would appreciate your help in resolving the matter.
1
0
538
Oct ’24
Universal Links not working with International Domain Names?
Hello there! My problem concerns Universal Links: My website is https://www.xn--voil-3na.app/ and has a proper apple-app-site-association set, which is validate by all validators, and also well cached on Apple side. (requested with curl https://app-site-association.cdn-apple.com/a/v1/xn--voil-3na.app) My app is voilà and : My provisioning profile allows Associated Domains I can see the associated domains is well defined to xn--voil-3na.app on XCode My AppID and bundle (in the entitlements) are matching the ones on my apple-app-site-association After having made all the debugs following the docs, i'm wondering if the problem doesn't come from my international domain name. Really looking forward some help, as my application is growing (really) fast and I'd like to serve this feature to my users... Sincerly, AB from voilà
4
0
706
Oct ’24
Universal Link / AppLinks not opening the app
I am struggling getting universal links/applinks working for an App Store Event. I have been through the docs and various troubleshooting methods a number of times and cannot figure out why the universal link is not opening the app. Here's the apple-app-site-association file we have hosted on our website in .well-known (full url https://binaryformations.com/.well-known/apple-app-site-association): { "applinks": { "details": [{ "appIDs": ["com.BinaryFormations.UnderMyRoof"], "components": [{ "/": "/umrappevent/*", "comment": "Matches any URL whose path starts with /umrappevent/" }] }] } } Here's the configuration in the Associated Domains section in Xcode: I've also implemented scene(_ scene: UIScene, continue userActivity: NSUserActivity) in the window scene delegate. Just to see if it might solve the problem, I also implemented application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([any UIUserActivityRestoring]?) -> Void) -> Bool in the application delegate. I've been testing with this URL, among others, and the app is not being opened: https://binaryformations.com/umrappevent/9999 I've tried every troubleshooting technique I could find, including the once mentioned in TN3155 on debugging universal links (https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links) and everything seems to be as it should. Here's a summary of what I've tried so far: Checked that the CDN was returning the correct apple-app-site-association file: https://app-site-association.cdn-apple.com/a/v1/binaryformations.com Ran the following test with curl to verify there are no redirects (it returned with the response code of 200): curl -v https://binaryformations.com/.well-known/apple-app-site-association Using the above mentioned apple-app-site-association file as test.json, I randomly this test using swcutil and the URL seems to match fine: sudo swcutil verify -d binaryformations.com -j test.json -u https://binaryformations.com/umrappevent/9999 { s = applinks, a = com.BinaryFormations.UnderMyRoof, d = binaryformations.com }: Pattern "https://binaryformations.com/umrappevent/9999" matched. Associated Domains Development Diagnostics on the phone seem to indicate everything is okay with the URL: Last one: after installing a build from TestFlight on an iPhone (iOS 18), I see this in the swcutil_show.txt file from a sysdiagnose after trying the following link: https://binaryformations.com/umrappevent/9999 Service: applinks App ID: G52SXV33MH.com.BinaryFormations.UnderMyRoof App Version: 20240910.0 App PI: <LSPersistentIdentifier 0x4f8026100> { v = 0, t = 0x8, u = 0x474, db = 52D70E5E-2E19-4D2C-ADA7-1E6154CA1AFA, {length = 8, bytes = 0x7404000000000000} } Domain: binaryformations.com User Approval: unspecified Site/Fmwk Approval: denied Flags: Last Checked: 2024-09-11 15:36:17 +0000 Next Check: 2024-09-16 15:17:08 +0000 I'm sure I'm doing something silly that I just keep overlooking, but cannot seem to figure it out. Is there anything that's jumping out from all of this that I'm missing? Is there any way to get more information from the diagnostics as to why the rule was denied or anything else I should try? Thank you in advance.
2
0
5.8k
Sep ’24
Universal Linking not working
Hi Team, Universal linking is not working with safelink and when using the amazon SES. https://docs.aws.amazon.com/ses/ When we have email template and click on the links we are unable to open the app with safe links, does anyone faced this problem before for when using safe link with amazon SES or any other services. Please help me to resolve this issue as soon as possible.
1
1
593
Sep ’24
AASA Status Not updating
Ive wrestled with this for days now. My first version of the app that included the app clip worked just fine, and then after using my new domains it says "Cannot Reach AASA File" I have refreshed many times, tried re-making the file and nothing works. When checking my domain, it has the right file and i validated it with branch and json validation. When clicking the app links for the app or the clip, they all work? This is frustrating because i cant create advanced app clips because it says it can't see my file Please Help, something is off here &lt;string&gt;applinks:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;appclips:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;applinks:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;applinks:www.etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:www.etherealdimension.netlify.app&lt;/string&gt;
1
0
732
Sep ’24
Trouble deving universal links, only error is enterprise managed device
iOS 16.4 and 17.2.1 Hello, I've been developing the universal link for my mobile application and I can't actually get the app to open when the link is tapped. I went through some trial and error.. but here's my current status: testing my url in settings -> developer -> associated domains shows that my link should open an installed application sysdiagnose logs show that everything looks good there: Service: applinks App ID: 1234abcd.com.example Domain: example.com User Approval: unspecified Site/Fmwk Approval: approved Last Checked: 2023-08-24 10:09:00 +0000 Next Check: 2023-08-18 21:00:19 +0000 The only thing that indicates an error of some kind is the console logs during install.. when filtering on swcd it shows an error for Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 UserInfo={Line=231, Function=<private>} I'm not sure if this is a managed device - my understanding is that managed devices allow enterprise businesses to operate the device remotely essentially (send files, run commands, etc). To my knowledge, this isn't enterprise managed device. It is listed in the devices page in my company's developer account, but we are a smaller shop, definitely not enterprise. I added the associated domain/app link via xcode, and it generated the entitlements file for me. <key>com.apple.developer.associated-domains.mdm-managed</key> <true/> switching that to false breaks the build: Provisioning profile "iOS Team Provisioning Profile: <mydomain>.<myapp>.dev" doesn't match the entitlements file's value for the com.apple.developer.associated-domains.mdm-managed entitlement. Profile qualification is using entitlement definitions that may be out of date. Connect to network to update. Removing it all together builds fine but doesn't allow me to open the app with a link. The other thing that looks off is an output in the logs filtered on swcd for Developer mode enabled: No but clearly I've enabled developer mode on the phone. I've pasted my link into my notes app and am attempting to open it from there If anyone can help me figure out what the disconnect is here, it would be greatly appreciated!
1
0
1.1k
Sep ’24
App / Universal Linking
App / Universal Linking works fine on the "normal" web browser (applies to chrome and safari) however once the page is accessed via "incognito/private" modes app / universal linking redirects the user to the app store instead of the installed application. TLDR: App / Universal Linking doesn't work properly on "Incognito" Mode
1
0
907
Sep ’24
SwiftUI .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) doesn't seem to work
We need to read the value for userActivity.referrerUrl when the app is accessed through a Universal Link, which when using the UIKit lifecycle we can easily do by implementing the method scene(_: UIScene, continue: NSUserActivity) in SceneDelegate and filtering for activity type of NSUserActivityTypeBrowsingWeb. When the app uses the SwiftUI lifecycle that method doesn't get called, even though the app is correctly configured to use AppDelegate and SceneDelegate (through the @UIApplicationDelegateAdaptor wrapper). I can confirm that the setup is correct because the method scene(_: UIScene, willConnectTo: UISceneSession, options: UIScene.ConnectionOptions) in SceneDelegate is called on app launch. The obvious SwiftUI way of achieving the same would be by using the .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) modifier, but that doesn't work. Is this a bug?
3
1
1.6k
Aug ’24
Sporadic universal link failures
We use universal links for an email link sign-in flow. In the last few days, we have received several reports of the links opening the browser instead of the app. Many other new users are able to sign-in with no problem. Our AASA file has not changed and is hosted via an S3 website, which should have extremely high availability. Anybody know what might cause this? How can I go about diagnosing it? Thanks Jacob
2
0
510
Aug ’24
AASA Matching Algorithm
I'm working on developing an AASA for an app that may be built by multiple teams, and I want to create a universal link that opens the app regardless of which team's app is installed on iOS. Right now the AASA is { "applinks":{"apps":[],"details": [ {"paths":["/abc/*"],"appID":"TEAM1.BUNDLE_ID"}, {"paths":["/abc/*"],"appID":"TEAM2.BUNDLE_ID"}, ] } } The AASA works fine for TEAM1, but when the app is built with TEAM2, it does not work (instead redirects to the appstore). I checked the swcutil.txt and it confirms that the is indeed not linked to any domains when built from TEAM2. Is there a known fix for this, or a potential cause?
1
0
870
Aug ’24
Universal Links AASA - not updating on device
Hi all, I wonder if anyone can shed any light or tips on this. We have our iOS app which is just for iPhone at the moment. I have some universal links that are currently working. I have added another '/mobileAppQuickLink' into the file and updated on our site in the '.well-known' folder location. The issue I am having is, all of the links before the additional one mentioned above are working. Steps Checked Checked https://app-site-association.cdn-apple.com/a/v1/OUR_DOMAIN to make sure the latest AASA file is there, it is. Checked the sysdiagnosis package logs and can see in the 'swcutil_show.txt' that only the original three are there for the app and not the final one. Reinstalled the app multiple time to bring down the AASA, no luck. Wiped a device and reset, downloaded the app again, no luck. The code below is the AASA file with our app ID redacted. I have triple checked these and they haven't changed from the previous. "applinks": { "details": [ { "appIDs": [ "A646R8---.com.REDACTED.REDACTED" ], "components": [ { "#": "no_universal_links", "exclude": true, "comment": "Matches any URL with a fragment that equals no_universal_links and instructs the system not to open it as a universal link." }, { "/": "/client/*", "comment": "Matches any URL with a path that starts with /client/." }, { "/": "/files/*", "comment": "Matches any URL with a path that starts with /files/." }, { "/": "/signingRequests/*", "comment": "Matches any URL with a path that starts with /signingRequests/." }, { "/": "/mobileAppQuickLink" //MISSING ON DEVICE } ] } ] }, "webcredentials": { "apps": [ "A646R8----com.REDACTED.REDACTED" ] } } Below is a copy of one of the 'swcutil_show.txt' from a device. App ID: A646R8----.com.REDACTED.REDACTED App Version: 1.1.70 App PI: <LSPersistentIdentifier 0x88c027a80> { v = 0, t = 0x8, u = 0x548, db = 514601C3-79C8-47C6-A178-B09AF5C-----, {length = 8, bytes = 0x4805000000000000} } Domain: *.portal.staging.REDACTED.REDACTED Patterns: {"#":"no_universal_links","exclude":true}, {"/":"/client/*"}, {"/":"/files/*"}, {"/":"/signingRequests/*"} User Approval: unspecified Site/Fmwk Approval: approved Flags: Last Checked: 2024-08-04 09:44:07 +0000 Next Check: 2024-08-09 09:39:26 +0000 Does anyone know of any reason this could be? It looks like the devices maybe getting a cached version.
2
0
1.2k
Aug ’24
How do I get the Universal Link to redirect to my Capacitor iOS app? SWCErrorDomain error 8
I'm running my Capacitor app on my iPad on Developer mode and I haven't been able to get the Universal Link working. https://my-domain.com//.well-known/apple-app-site-association in browser and via curl correctly returns the file. running sudo swcutil dl -d https://my-domain.com --verbose returns SWCErrorDomain 8 { Domain: "<_SWCDomain 0x600002c92d80> https", Line: "532", Function: "-[SWCDownloader(Private) _downloadAASAFileForDomain:applicationIdentifier:downloadRoute:discretionary:completionHandlers:]_block_invoke" } I made my way down through here: <https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links#Host-and-verify-your-AASA> I continued onto the next section, but swcutil_show.txt file doesn't list my app even after uninstalling and re-deploying the app. Any help is appreciated!
2
1
1.4k
Aug ’24
Deeplinking to Shortcut Automation Tab and Prepopulating values.
I'm able to deep link to the Automation tab in Shortcuts App using : shortcuts://create-automation. But I want to preselect a predefined automation (like bluetooth / nfc) and profile some parameters along with it, like Name of the automation shortcut to select When / Trigger point for the automation shortcut Do / what should happen on tuning the shortcut Thanks !
0
0
737
Aug ’24
Universal links app-site-association file were not downloading in iOS
Hi Team , I'm currently working on universal links. iOS application is build with react-native framework Steps I did to achieve the universal links Step 1 : Created an app-site-association file My AASA file format : "applinks": { "details": [ { "appIDs": [ "TEAMID.BUNDLEID" ], "components": [ { "/": "*", "?": { "$web_only": "true" }, "exclude": true }, { "/": "*", "?": { "%24web_only": "true" }, "exclude": true }, { "/": "/e/*", "exclude": true }, { "/": "*", }, { "/": "/", } ] } ] } } Step 2 : I have hosted the app-site-association file in .well-known path https://staging.***.com/.well-known/apple-app-site-association Step 3 : I have enabled associated domains and added applinks in Entitlements also <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd"> <plist version="1.0"> <dict> <key>com.apple.developer.associated-domains</key> <array> <string>applinks:staging.***.com</string> </array> <key>com.apple.developer.networking.multicast</key> <true/> <key>com.apple.developer.networking.wifi-info</key> <true/> </dict> </plist> Step 4 : https://app-site-association.cdn-apple.com/a/v1/staging.***.com With the above apple cdn url , I can able to see the app-site-association file which I hosted in https://staging.***.com/.well-known/apple-app-site-association path. Step 5 : I have checked the console of phone with Xcode -> Devices -> Console When my application trying to down the AASA file from my server , I got this below error : swcd : Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 "Failed to get associated domain data from ManagedConfiguration framework." UserInfo={NSDebugDescription=Failed to get associated domain data from ManagedConfiguration framework., Line=298, Function=} swcd : Developer mode enabled: NO Kindly help me to resolve this issue Thanks in advance.
1
0
2k
Aug ’24
Universal links & redirect not working on certain devices
We are currently doing our beta testing for our application and we are having some issues with universal links. The issues can be seen below: we are using auth0 for authentication. In this process, after users verify their email addresses they should be redirected back to the application. For some users, they are directed back to a page that shows error 404. For other users where it works, they are directed back to the application. What could be my issue? Our app-site- association file is hosted in the link below for reference. https://yourmomentshub.com/.well-known/apple-app-site-association
6
0
1.8k
Aug ’24
Recommended way for an app to launch into the App Store
While searching I've seen more than one url form used for launching from an app into the iPhone's App Store app. Both of these work, but is one preferred to the other, if so why, or are they exactly equivalent? let appStoreLink1 = "https://itunes.apple.com/us/app/apple-store/idNNNNN?mt=8" let appStoreLink2 = "https://apps.apple.com/us/app/name-of-app/idNNNNN" if let url = URL(string: appStoreLink1 or appStoreLink2), UIApplication.shared.canOpenURL(url) { UIApplication.shared.open(url, options: [:], completionHandler: {(success: Bool) in ...
1
0
734
Aug ’24
Confused between custom URL schemes and Universal linking and redirecting to the app store
I have a requirement to launch an app from another app (there is no requirement to launch the app from a website), and if its not installed then for the user to be redirected to the app store to download the app. The app already has a custom url scheme implemented, however the documentation and tutorials in this area are confusing and unclear. In order to launch the app, the custom url scheme will provide that, however, in order to get the redirection to the app store then firstly does the custom url scheme have to be replaced with universal links? Secondly, is it necessary to have a webpage that links to the app store? Is it possible to get this behaviour without having a website? Is it the case that Apple doesn't provide this functionality and developers have to have the hassle of hosting a website purely just for the sake of redirecting to the App Store?
1
0
1.3k
Aug ’24
Apple fails to accept associated domain
We’re trying to get Passkeys to work with iOS and macOS Catalyst. Apple fails to accept the associated domain, without giving a reason why. The JSON is correct and shows up on Apple’s CDN. We are stuck.
Replies
4
Boosts
1
Views
885
Activity
Oct ’24
Universal link issue
We are encountering an issue with the universal link functionality in our app, which was previously working as expected but has now stopped functioning We have followed all the steps to configure universal links and ensured the necessary settings are in place. The associated domains are enabled within our app's capabilities, with the following domains listed: We have also verified the apple-app-site-association files for both servers, which are accessible via the following URLs: https://app.digiboxx.com/apple-app-site-association These files appear to be correctly formatted according to Apple's guidelines. However, despite this, links such as https://app.digiboxx.com/share/123456 are no longer redirecting to the app. This is a significant issue for our customers, and we would appreciate your help in resolving the matter.
Replies
1
Boosts
0
Views
538
Activity
Oct ’24
Universal Links not working with International Domain Names?
Hello there! My problem concerns Universal Links: My website is https://www.xn--voil-3na.app/ and has a proper apple-app-site-association set, which is validate by all validators, and also well cached on Apple side. (requested with curl https://app-site-association.cdn-apple.com/a/v1/xn--voil-3na.app) My app is voilà and : My provisioning profile allows Associated Domains I can see the associated domains is well defined to xn--voil-3na.app on XCode My AppID and bundle (in the entitlements) are matching the ones on my apple-app-site-association After having made all the debugs following the docs, i'm wondering if the problem doesn't come from my international domain name. Really looking forward some help, as my application is growing (really) fast and I'd like to serve this feature to my users... Sincerly, AB from voilà
Replies
4
Boosts
0
Views
706
Activity
Oct ’24
Universal Link / AppLinks not opening the app
I am struggling getting universal links/applinks working for an App Store Event. I have been through the docs and various troubleshooting methods a number of times and cannot figure out why the universal link is not opening the app. Here's the apple-app-site-association file we have hosted on our website in .well-known (full url https://binaryformations.com/.well-known/apple-app-site-association): { "applinks": { "details": [{ "appIDs": ["com.BinaryFormations.UnderMyRoof"], "components": [{ "/": "/umrappevent/*", "comment": "Matches any URL whose path starts with /umrappevent/" }] }] } } Here's the configuration in the Associated Domains section in Xcode: I've also implemented scene(_ scene: UIScene, continue userActivity: NSUserActivity) in the window scene delegate. Just to see if it might solve the problem, I also implemented application(_ application: UIApplication, continue userActivity: NSUserActivity, restorationHandler: @escaping ([any UIUserActivityRestoring]?) -> Void) -> Bool in the application delegate. I've been testing with this URL, among others, and the app is not being opened: https://binaryformations.com/umrappevent/9999 I've tried every troubleshooting technique I could find, including the once mentioned in TN3155 on debugging universal links (https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links) and everything seems to be as it should. Here's a summary of what I've tried so far: Checked that the CDN was returning the correct apple-app-site-association file: https://app-site-association.cdn-apple.com/a/v1/binaryformations.com Ran the following test with curl to verify there are no redirects (it returned with the response code of 200): curl -v https://binaryformations.com/.well-known/apple-app-site-association Using the above mentioned apple-app-site-association file as test.json, I randomly this test using swcutil and the URL seems to match fine: sudo swcutil verify -d binaryformations.com -j test.json -u https://binaryformations.com/umrappevent/9999 { s = applinks, a = com.BinaryFormations.UnderMyRoof, d = binaryformations.com }: Pattern "https://binaryformations.com/umrappevent/9999" matched. Associated Domains Development Diagnostics on the phone seem to indicate everything is okay with the URL: Last one: after installing a build from TestFlight on an iPhone (iOS 18), I see this in the swcutil_show.txt file from a sysdiagnose after trying the following link: https://binaryformations.com/umrappevent/9999 Service: applinks App ID: G52SXV33MH.com.BinaryFormations.UnderMyRoof App Version: 20240910.0 App PI: <LSPersistentIdentifier 0x4f8026100> { v = 0, t = 0x8, u = 0x474, db = 52D70E5E-2E19-4D2C-ADA7-1E6154CA1AFA, {length = 8, bytes = 0x7404000000000000} } Domain: binaryformations.com User Approval: unspecified Site/Fmwk Approval: denied Flags: Last Checked: 2024-09-11 15:36:17 +0000 Next Check: 2024-09-16 15:17:08 +0000 I'm sure I'm doing something silly that I just keep overlooking, but cannot seem to figure it out. Is there anything that's jumping out from all of this that I'm missing? Is there any way to get more information from the diagnostics as to why the rule was denied or anything else I should try? Thank you in advance.
Replies
2
Boosts
0
Views
5.8k
Activity
Sep ’24
Universal Linking not working
Hi Team, Universal linking is not working with safelink and when using the amazon SES. https://docs.aws.amazon.com/ses/ When we have email template and click on the links we are unable to open the app with safe links, does anyone faced this problem before for when using safe link with amazon SES or any other services. Please help me to resolve this issue as soon as possible.
Replies
1
Boosts
1
Views
593
Activity
Sep ’24
AASA Status Not updating
Ive wrestled with this for days now. My first version of the app that included the app clip worked just fine, and then after using my new domains it says "Cannot Reach AASA File" I have refreshed many times, tried re-making the file and nothing works. When checking my domain, it has the right file and i validated it with branch and json validation. When clicking the app links for the app or the clip, they all work? This is frustrating because i cant create advanced app clips because it says it can't see my file Please Help, something is off here &lt;string&gt;applinks:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;appclips:etherialdimension.pages.dev&lt;/string&gt; &lt;string&gt;applinks:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;applinks:www.etherealdimension.netlify.app&lt;/string&gt; &lt;string&gt;appclips:www.etherealdimension.netlify.app&lt;/string&gt;
Replies
1
Boosts
0
Views
732
Activity
Sep ’24
App Search API Validation Tool
Hello there, I try to add universal links to my app but get some problems. When I started researching how I can test it I found a lot of talks about App Search API Validation Tool. But this service is not open for me, I'm always redirected to the home page. Is there something wrong with me or is this service not working at all?
Replies
0
Boosts
0
Views
858
Activity
Sep ’24
Universal link data not receiving after installing app
While we have shared any product link to the user. If the user doesn't have our app, it will be taking him to the app store and after installation, we need to show that product page to him. So, how can we get that shared link after installing the app from the app store. Can you share any reference code if available.
Replies
1
Boosts
0
Views
591
Activity
Sep ’24
Trouble deving universal links, only error is enterprise managed device
iOS 16.4 and 17.2.1 Hello, I've been developing the universal link for my mobile application and I can't actually get the app to open when the link is tapped. I went through some trial and error.. but here's my current status: testing my url in settings -> developer -> associated domains shows that my link should open an installed application sysdiagnose logs show that everything looks good there: Service: applinks App ID: 1234abcd.com.example Domain: example.com User Approval: unspecified Site/Fmwk Approval: approved Last Checked: 2023-08-24 10:09:00 +0000 Next Check: 2023-08-18 21:00:19 +0000 The only thing that indicates an error of some kind is the console logs during install.. when filtering on swcd it shows an error for Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 UserInfo={Line=231, Function=<private>} I'm not sure if this is a managed device - my understanding is that managed devices allow enterprise businesses to operate the device remotely essentially (send files, run commands, etc). To my knowledge, this isn't enterprise managed device. It is listed in the devices page in my company's developer account, but we are a smaller shop, definitely not enterprise. I added the associated domain/app link via xcode, and it generated the entitlements file for me. <key>com.apple.developer.associated-domains.mdm-managed</key> <true/> switching that to false breaks the build: Provisioning profile "iOS Team Provisioning Profile: <mydomain>.<myapp>.dev" doesn't match the entitlements file's value for the com.apple.developer.associated-domains.mdm-managed entitlement. Profile qualification is using entitlement definitions that may be out of date. Connect to network to update. Removing it all together builds fine but doesn't allow me to open the app with a link. The other thing that looks off is an output in the logs filtered on swcd for Developer mode enabled: No but clearly I've enabled developer mode on the phone. I've pasted my link into my notes app and am attempting to open it from there If anyone can help me figure out what the disconnect is here, it would be greatly appreciated!
Replies
1
Boosts
0
Views
1.1k
Activity
Sep ’24
App / Universal Linking
App / Universal Linking works fine on the "normal" web browser (applies to chrome and safari) however once the page is accessed via "incognito/private" modes app / universal linking redirects the user to the app store instead of the installed application. TLDR: App / Universal Linking doesn't work properly on "Incognito" Mode
Replies
1
Boosts
0
Views
907
Activity
Sep ’24
SwiftUI .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) doesn't seem to work
We need to read the value for userActivity.referrerUrl when the app is accessed through a Universal Link, which when using the UIKit lifecycle we can easily do by implementing the method scene(_: UIScene, continue: NSUserActivity) in SceneDelegate and filtering for activity type of NSUserActivityTypeBrowsingWeb. When the app uses the SwiftUI lifecycle that method doesn't get called, even though the app is correctly configured to use AppDelegate and SceneDelegate (through the @UIApplicationDelegateAdaptor wrapper). I can confirm that the setup is correct because the method scene(_: UIScene, willConnectTo: UISceneSession, options: UIScene.ConnectionOptions) in SceneDelegate is called on app launch. The obvious SwiftUI way of achieving the same would be by using the .onContinueUserActivity(NSUserActivityTypeBrowsingWeb) modifier, but that doesn't work. Is this a bug?
Replies
3
Boosts
1
Views
1.6k
Activity
Aug ’24
Sporadic universal link failures
We use universal links for an email link sign-in flow. In the last few days, we have received several reports of the links opening the browser instead of the app. Many other new users are able to sign-in with no problem. Our AASA file has not changed and is hosted via an S3 website, which should have extremely high availability. Anybody know what might cause this? How can I go about diagnosing it? Thanks Jacob
Replies
2
Boosts
0
Views
510
Activity
Aug ’24
AASA Matching Algorithm
I'm working on developing an AASA for an app that may be built by multiple teams, and I want to create a universal link that opens the app regardless of which team's app is installed on iOS. Right now the AASA is { "applinks":{"apps":[],"details": [ {"paths":["/abc/*"],"appID":"TEAM1.BUNDLE_ID"}, {"paths":["/abc/*"],"appID":"TEAM2.BUNDLE_ID"}, ] } } The AASA works fine for TEAM1, but when the app is built with TEAM2, it does not work (instead redirects to the appstore). I checked the swcutil.txt and it confirms that the is indeed not linked to any domains when built from TEAM2. Is there a known fix for this, or a potential cause?
Replies
1
Boosts
0
Views
870
Activity
Aug ’24
Universal Links AASA - not updating on device
Hi all, I wonder if anyone can shed any light or tips on this. We have our iOS app which is just for iPhone at the moment. I have some universal links that are currently working. I have added another '/mobileAppQuickLink' into the file and updated on our site in the '.well-known' folder location. The issue I am having is, all of the links before the additional one mentioned above are working. Steps Checked Checked https://app-site-association.cdn-apple.com/a/v1/OUR_DOMAIN to make sure the latest AASA file is there, it is. Checked the sysdiagnosis package logs and can see in the 'swcutil_show.txt' that only the original three are there for the app and not the final one. Reinstalled the app multiple time to bring down the AASA, no luck. Wiped a device and reset, downloaded the app again, no luck. The code below is the AASA file with our app ID redacted. I have triple checked these and they haven't changed from the previous. "applinks": { "details": [ { "appIDs": [ "A646R8---.com.REDACTED.REDACTED" ], "components": [ { "#": "no_universal_links", "exclude": true, "comment": "Matches any URL with a fragment that equals no_universal_links and instructs the system not to open it as a universal link." }, { "/": "/client/*", "comment": "Matches any URL with a path that starts with /client/." }, { "/": "/files/*", "comment": "Matches any URL with a path that starts with /files/." }, { "/": "/signingRequests/*", "comment": "Matches any URL with a path that starts with /signingRequests/." }, { "/": "/mobileAppQuickLink" //MISSING ON DEVICE } ] } ] }, "webcredentials": { "apps": [ "A646R8----com.REDACTED.REDACTED" ] } } Below is a copy of one of the 'swcutil_show.txt' from a device. App ID: A646R8----.com.REDACTED.REDACTED App Version: 1.1.70 App PI: <LSPersistentIdentifier 0x88c027a80> { v = 0, t = 0x8, u = 0x548, db = 514601C3-79C8-47C6-A178-B09AF5C-----, {length = 8, bytes = 0x4805000000000000} } Domain: *.portal.staging.REDACTED.REDACTED Patterns: {"#":"no_universal_links","exclude":true}, {"/":"/client/*"}, {"/":"/files/*"}, {"/":"/signingRequests/*"} User Approval: unspecified Site/Fmwk Approval: approved Flags: Last Checked: 2024-08-04 09:44:07 +0000 Next Check: 2024-08-09 09:39:26 +0000 Does anyone know of any reason this could be? It looks like the devices maybe getting a cached version.
Replies
2
Boosts
0
Views
1.2k
Activity
Aug ’24
How do I get the Universal Link to redirect to my Capacitor iOS app? SWCErrorDomain error 8
I'm running my Capacitor app on my iPad on Developer mode and I haven't been able to get the Universal Link working. https://my-domain.com//.well-known/apple-app-site-association in browser and via curl correctly returns the file. running sudo swcutil dl -d https://my-domain.com --verbose returns SWCErrorDomain 8 { Domain: "<_SWCDomain 0x600002c92d80> https", Line: "532", Function: "-[SWCDownloader(Private) _downloadAASAFileForDomain:applicationIdentifier:downloadRoute:discretionary:completionHandlers:]_block_invoke" } I made my way down through here: <https://developer.apple.com/documentation/technotes/tn3155-debugging-universal-links#Host-and-verify-your-AASA> I continued onto the next section, but swcutil_show.txt file doesn't list my app even after uninstalling and re-deploying the app. Any help is appreciated!
Replies
2
Boosts
1
Views
1.4k
Activity
Aug ’24
Deeplinking to Shortcut Automation Tab and Prepopulating values.
I'm able to deep link to the Automation tab in Shortcuts App using : shortcuts://create-automation. But I want to preselect a predefined automation (like bluetooth / nfc) and profile some parameters along with it, like Name of the automation shortcut to select When / Trigger point for the automation shortcut Do / what should happen on tuning the shortcut Thanks !
Replies
0
Boosts
0
Views
737
Activity
Aug ’24
Universal links app-site-association file were not downloading in iOS
Hi Team , I'm currently working on universal links. iOS application is build with react-native framework Steps I did to achieve the universal links Step 1 : Created an app-site-association file My AASA file format : "applinks": { "details": [ { "appIDs": [ "TEAMID.BUNDLEID" ], "components": [ { "/": "*", "?": { "$web_only": "true" }, "exclude": true }, { "/": "*", "?": { "%24web_only": "true" }, "exclude": true }, { "/": "/e/*", "exclude": true }, { "/": "*", }, { "/": "/", } ] } ] } } Step 2 : I have hosted the app-site-association file in .well-known path https://staging.***.com/.well-known/apple-app-site-association Step 3 : I have enabled associated domains and added applinks in Entitlements also <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd"> <plist version="1.0"> <dict> <key>com.apple.developer.associated-domains</key> <array> <string>applinks:staging.***.com</string> </array> <key>com.apple.developer.networking.multicast</key> <true/> <key>com.apple.developer.networking.wifi-info</key> <true/> </dict> </plist> Step 4 : https://app-site-association.cdn-apple.com/a/v1/staging.***.com With the above apple cdn url , I can able to see the app-site-association file which I hosted in https://staging.***.com/.well-known/apple-app-site-association path. Step 5 : I have checked the console of phone with Xcode -> Devices -> Console When my application trying to down the AASA file from my server , I got this below error : swcd : Error getting enterprise-managed associated domains data. If this device is not enterprise-managed, this is normal: Error Domain=SWCErrorDomain Code=1701 "Failed to get associated domain data from ManagedConfiguration framework." UserInfo={NSDebugDescription=Failed to get associated domain data from ManagedConfiguration framework., Line=298, Function=} swcd : Developer mode enabled: NO Kindly help me to resolve this issue Thanks in advance.
Replies
1
Boosts
0
Views
2k
Activity
Aug ’24
Universal links & redirect not working on certain devices
We are currently doing our beta testing for our application and we are having some issues with universal links. The issues can be seen below: we are using auth0 for authentication. In this process, after users verify their email addresses they should be redirected back to the application. For some users, they are directed back to a page that shows error 404. For other users where it works, they are directed back to the application. What could be my issue? Our app-site- association file is hosted in the link below for reference. https://yourmomentshub.com/.well-known/apple-app-site-association
Replies
6
Boosts
0
Views
1.8k
Activity
Aug ’24
Recommended way for an app to launch into the App Store
While searching I've seen more than one url form used for launching from an app into the iPhone's App Store app. Both of these work, but is one preferred to the other, if so why, or are they exactly equivalent? let appStoreLink1 = "https://itunes.apple.com/us/app/apple-store/idNNNNN?mt=8" let appStoreLink2 = "https://apps.apple.com/us/app/name-of-app/idNNNNN" if let url = URL(string: appStoreLink1 or appStoreLink2), UIApplication.shared.canOpenURL(url) { UIApplication.shared.open(url, options: [:], completionHandler: {(success: Bool) in ...
Replies
1
Boosts
0
Views
734
Activity
Aug ’24
Confused between custom URL schemes and Universal linking and redirecting to the app store
I have a requirement to launch an app from another app (there is no requirement to launch the app from a website), and if its not installed then for the user to be redirected to the app store to download the app. The app already has a custom url scheme implemented, however the documentation and tutorials in this area are confusing and unclear. In order to launch the app, the custom url scheme will provide that, however, in order to get the redirection to the app store then firstly does the custom url scheme have to be replaced with universal links? Secondly, is it necessary to have a webpage that links to the app store? Is it possible to get this behaviour without having a website? Is it the case that Apple doesn't provide this functionality and developers have to have the hassle of hosting a website purely just for the sake of redirecting to the App Store?
Replies
1
Boosts
0
Views
1.3k
Activity
Aug ’24